Skip to main content
GET
/
v1
/
refunds
List Refunds
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/refunds \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-Id: <x-account-id>'
{
  "items": [
    {
      "id": "019c96a0-0c53-7a8d-8e29-67971d96d0e3",
      "originalEndToEndId": "E123456789BR1234567890123456789",
      "returnEndToEndId": "D123456789BR1234567890123456789",
      "amount": "100.00",
      "status": "COMPLETED",
      "reason": "FR01",
      "createdAt": "2024-01-15T10:30:00Z"
    }
  ],
  "limit": 10,
  "page": 1,
  "total": 42
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Account-Id
string
required

Unique identifier of the Midaz Ledger Account (UUID format).

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
limit
integer
default:10

Maximum number of items per page.

Required range: 1 <= x <= 100
sort_order
enum<string>
default:asc

Sort direction: asc or desc.

Available options:
asc,
desc
end_to_end
string

Filter by the original Pix transfer end-to-end identifier.

status
enum<string>

Filter by the refund status (CREATED, PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED).

Available options:
CREATED,
PENDING,
PROCESSING,
COMPLETED,
FAILED,
CANCELLED
type
enum<string>

Filter by refund direction (CASHOUT or CASHIN).

Available options:
CASHOUT,
CASHIN
modified_after
string

Filter by records modified after this timestamp (RFC3339 format: 2024-01-15T10:30:00Z).

modified_before
string

Filter by records modified before this timestamp (RFC3339 format: 2024-01-15T10:30:00Z).

Response

List of refunds retrieved successfully.

items
object[]
limit
integer
Example:

10

page
integer
Example:

1

total
integer
Example:

42